import 'package:meta/meta.dart';
import 'package:satu/views/work/work_view.dart';

@immutable
class NavState {
  final Type? drawerViewClass;
  final int? selectedTabIndex;

  NavState({this.drawerViewClass, this.selectedTabIndex});

  factory NavState.initial() => NavState(
        drawerViewClass: WorkView,
        selectedTabIndex: 0,
      );

  NavState copyWith({
    required int? selectedTabIndex,
    required Type? drawerViewClass,
  }) {
    return NavState(
      selectedTabIndex: selectedTabIndex ?? this.selectedTabIndex,
      drawerViewClass: drawerViewClass ?? this.drawerViewClass,
    );
  }
}
